You can subscribe to this list here.
| 2009 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
(25) |
Jul
(288) |
Aug
(119) |
Sep
(31) |
Oct
(59) |
Nov
(458) |
Dec
(359) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2010 |
Jan
(268) |
Feb
(26) |
Mar
(36) |
Apr
(48) |
May
(119) |
Jun
(37) |
Jul
(173) |
Aug
(429) |
Sep
(137) |
Oct
(156) |
Nov
(59) |
Dec
(45) |
| 2011 |
Jan
(398) |
Feb
(257) |
Mar
(49) |
Apr
(5) |
May
(34) |
Jun
(11) |
Jul
(38) |
Aug
(12) |
Sep
(1) |
Oct
(49) |
Nov
(5) |
Dec
(10) |
| 2012 |
Jan
(21) |
Feb
(32) |
Mar
(20) |
Apr
(1) |
May
(2) |
Jun
|
Jul
(173) |
Aug
|
Sep
(25) |
Oct
(6) |
Nov
(44) |
Dec
|
|
From: Lasse Kärkkäi. <tr...@us...> - 2010-09-28 09:51:09
|
Module: performous Branch: menuvideo Commit: b9911fefd2d7c7e9be212ede37bf4d277326eb08 Author: Tapio Vierros <tap...@gm...> Date: Sun Sep 19 14:11:25 2010 +0300 Add a match string to XBox360 drumkit. --- data/controllers.xml | 2 +- 1 files changed, 1 insertions(+), 1 deletions(-) diff --git a/data/controllers.xml b/data/controllers.xml index e5e54d8..2ab5258 100644 --- a/data/controllers.xml +++ b/data/controllers.xml @@ -137,7 +137,7 @@ </controller> <controller type="drumkit" name="DRUMS_ROCKBAND_XBOX360"> <description>RockBand XBox drum kit</description> - <regexp match="Harmonix Drum [Kk]it for Xbox" /> + <regexp match="Harmonix Drum [Kk]it for Xbox|Harmonix Rock Band Drumkit" /> <mapping> <button id="0" value="green" /> <button id="1" value="red" /> |
|
From: Lasse Kärkkäi. <tr...@us...> - 2010-09-28 09:50:59
|
Module: performous Branch: menuvideo Commit: 5f3be64b28a46640f17ef885eba9d1c18bea2a9e Author: Philipp Funk <phi...@wh...> Date: Sun Sep 19 12:42:39 2010 +0200 Updated German translation --- lang/de.po | 223 ++++++++++++++++++++++++++++++------------------------------ 1 files changed, 112 insertions(+), 111 deletions(-) |
|
From: Lasse Kärkkäi. <tr...@us...> - 2010-09-28 09:50:53
|
Module: performous Branch: menuvideo Commit: 5a59f2b26d5e01a240b03b96d2d9837e878456b4 Author: Fredrik Klasson <sci...@gm...> Date: Sat Sep 18 13:14:00 2010 +0200 [ ] Small updates to the swedish translations. --- lang/sv.po | 32 +++++++++++++++++++------------- 1 files changed, 19 insertions(+), 13 deletions(-) diff --git a/lang/sv.po b/lang/sv.po index 1b80e0e..3c4689f 100644 --- a/lang/sv.po +++ b/lang/sv.po @@ -3,7 +3,7 @@ msgstr "" "Project-Id-Version: Performous\n" "Report-Msgid-Bugs-To: \n" "POT-Creation-Date: 2010-09-17 16:03+0100\n" -"PO-Revision-Date: 2010-09-17 16:58+0100\n" +"PO-Revision-Date: 2010-09-18 13:13+0100\n" "Last-Translator: Fredrik Klasson <sci...@gm...>\n" "Language-Team: \n" "MIME-Version: 1.0\n" @@ -61,7 +61,7 @@ msgid "" "Please configure some before playing." msgstr "" "\n" -"Vänligen konfigurera något för spel." +"Var god och konfigurera något innan du spelar." # add "ESC returns" to it? #: ../game/screen_intro.cc:115 @@ -151,11 +151,11 @@ msgstr "Laddar tema..." #: ../game/screen_sing.cc:39 msgid "Loading song..." -msgstr "Laddar låt/sång..." +msgstr "Laddar låt..." #: ../game/screen_sing.cc:45 msgid "Song is broken!" -msgstr "Låten/Sången år trasig!" +msgstr "Låten år trasig!" #: ../game/screen_sing.cc:50 msgid "Loading background..." @@ -198,11 +198,14 @@ msgstr "Tillbaks till uppträdande" msgid "Restart" msgstr "Börja om" +# start <-> restart? #: ../game/screen_sing.cc:120 msgid "" "Start the song\n" "from the beginning" msgstr "" +"Börja låten\n" +"från början" # låt/sång #: ../game/screen_sing.cc:121 @@ -215,12 +218,13 @@ msgstr "Slutför..." #: ../game/screen_sing.cc:130 msgid "Song contains broken tracks!" -msgstr "Låten/Sången innehåller trasiga spår!" +msgstr "Låten innehåller trasiga spår!" -# ... +# skippa/hoppa över +# ... instrumentalt mellanspel ... #: ../game/screen_sing.cc:459 msgid " ENTER to skip instrumental break" -msgstr " tryck ENTER för att skippa/hoppa över instrumentaliskt mellanspel" +msgstr " tryck ENTER för att skippa instrumentalt mellanspel" # gradering eller betygsättning? #: ../game/screen_sing.cc:460 @@ -278,9 +282,10 @@ msgstr "Virtuos" msgid "Rocker" msgstr "Rockare" +# items -> players? #: ../game/database.cc:107 msgid "No Items up to now." -msgstr "" +msgstr "Inga spelare ännu." #: ../game/database.cc:108 msgid "Be the first to be listed here!" @@ -292,7 +297,7 @@ msgstr "slumpmässig ordning" #: ../game/songs.cc:200 msgid "sorted by song" -msgstr "sorterat efter låt/sång" +msgstr "sorterat efter låt" #: ../game/songs.cc:201 msgid "sorted by artist" @@ -460,20 +465,21 @@ msgstr "Sök text:" #: ../game/screen_songs.cc:196 msgid "No songs found!" -msgstr "Inga låtar/sånger funna" +msgstr "Inga låtar funna" # gratis eller fria? +# (tysk översättning ger freie) #: ../game/screen_songs.cc:197 msgid "" "Visit performous.org\n" "for free songs" msgstr "" "Besök performous,org\n" -"för gratis/fria låtar/sånger" +"för fria låtar" #: ../game/screen_songs.cc:199 msgid "no songs match search" -msgstr "inga låtar/sånger matchar sökningen" +msgstr "inga låtar matchar sökningen" # ... #: ../game/screen_songs.cc:207 @@ -655,7 +661,7 @@ msgstr "Webkamera bakgrund" #: /tmp/.private/frekla/xml2gettext.p052kkZhHw.c:35 msgid "Performous can try to use webcam as a background video. You can disable it if it annoys you." -msgstr "" +msgstr "Performous kan försöka använda web-kameran som bakgrundsvideo. Du kan stänga av detta om det stör dig." #: /tmp/.private/frekla/xml2gettext.p052kkZhHw.c:36 msgid "Webcam id" |
|
From: Lasse Kärkkäi. <tr...@us...> - 2010-09-28 09:50:51
|
Module: performous Branch: menuvideo Commit: 89028ade1d573ed7cc1c26316cfa38bb237b0795 Author: Fredrik Klasson <sci...@gm...> Date: Fri Sep 17 16:58:39 2010 +0200 [ ] Updating swedish translations. --- lang/sv.po | 440 +++++++++++++++++++++++++++++++++++++++--------------------- 1 files changed, 286 insertions(+), 154 deletions(-) |
|
From: Lasse Kärkkäi. <tr...@us...> - 2010-09-28 09:50:48
|
Module: performous
Branch: menuvideo
Commit: b2365e0ed66f1b38d7a924522f18b789f1e88fb7
Author: Tapio Vierros <tap...@gm...>
Date: Fri Sep 17 16:03:25 2010 +0300
Fix a bug preventing XB360 RB guitar tilt & whammy from working.
---
game/joystick.cc | 8 ++++----
1 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/game/joystick.cc b/game/joystick.cc
index 494e700..d93df3e 100644
--- a/game/joystick.cc
+++ b/game/joystick.cc
@@ -736,9 +736,9 @@ bool input::SDL::pushEvent(SDL_Event _e) {
if(!devices.find(joy_id)->second.assigned()) return false;
if (_e.jaxis.axis == 5 || _e.jaxis.axis == 6 || _e.jaxis.axis == 1) {
event.type = input::Event::PICK;
- } else if (_e.jaxis.axis == 2 || (devices.find(joy_id)->second.name() == "GUITAR_ROCKBAND_XB360" && _e.jaxis.axis == 4)) {
+ } else if (_e.jaxis.axis == 2 || (devices.find(joy_id)->second.name() == "GUITAR_ROCKBAND_XBOX360" && _e.jaxis.axis == 4)) {
// nothing to do here
- } else if (devices.find(joy_id)->second.name() == "DRUMS_ROCKBAND_XB360" && _e.jaxis.axis == 3) { // <= WTF HERE !!!
+ } else if (devices.find(joy_id)->second.name() == "GUITAR_ROCKBAND_XBOX360" && _e.jaxis.axis == 3) { // <= WTF HERE !!!
// nothing to do here
} else {
return false;
@@ -747,7 +747,7 @@ bool input::SDL::pushEvent(SDL_Event _e) {
event.pressed[i] = devices.find(joy_id)->second.pressed(i);
}
// XBox RB guitar's Tilt sensor
- if (devices.find(joy_id)->second.name() == "DRUMS_ROCKBAND_XB360" && _e.jaxis.axis == 3) {
+ if (devices.find(joy_id)->second.name() == "GUITAR_ROCKBAND_XBOX360" && _e.jaxis.axis == 3) {
event.button = input::GODMODE_BUTTON;
if (_e.jaxis.value < -2) {
event.type = input::Event::PRESS;
@@ -758,7 +758,7 @@ bool input::SDL::pushEvent(SDL_Event _e) {
}
devices.find(joy_id)->second.addEvent(event);
break;
- } else if (_e.jaxis.axis == 2 || (devices.find(joy_id)->second.name() == "GUITAR_ROCKBAND_XB360" && _e.jaxis.axis == 4)) {
+ } else if (_e.jaxis.axis == 2 || (devices.find(joy_id)->second.name() == "GUITAR_ROCKBAND_XBOX360" && _e.jaxis.axis == 4)) {
event.button = input::WHAMMY_BUTTON;
if (_e.jaxis.value > 0) {
event.type = input::Event::PRESS;
|
|
From: Lasse Kärkkäi. <tr...@us...> - 2010-09-28 09:50:45
|
Module: performous Branch: menuvideo Commit: 01e877d755661803d2e09f8b69906e6a984f4522 Author: Tapio Vierros <tap...@gm...> Date: Fri Sep 17 14:04:39 2010 +0300 Update, refactor & improve the translation guide. --- lang/README | 64 ++++++++++++++++++++++++++++++++++++++++------------------ 1 files changed, 44 insertions(+), 20 deletions(-) diff --git a/lang/README b/lang/README index 7916afc..205ac9c 100644 --- a/lang/README +++ b/lang/README @@ -1,27 +1,27 @@ -To add new languages: +Translation guide +================= -Download POEdit (http://www.poedit.net/) +We recommend using POEdit (http://www.poedit.net/) +For Windows, download it from the website. +Most Linux distros have it in their repositories. -Creating the catalog --------------------- - 1. Start POEdit - 2. Click File -> New Catalog - 3. Enter a project name (performous) - 4. Click the Paths tab at the top - 5. Click the New Item icon (second one, looks like a little square) - 6. Enter the path to the directory containing your plug-in file ("." tells POEdit to scan the directory that you will save the file to, usually only need to include ../game and ../data), press enter - 7. Click the Keywords tab at the top - 8. Click the New Item icon - 9. Enter _ (that's underscore), press enter - 12. Click Okay - 13. Choose a name for your .po file (performous) +NOTE: Don't generate the binary .mo files - they are + compiled (and installed) with Performous build -REMEMBER TO SAVE WITH YOU LOCALE NAME +Updating existing translations +------------------------------ + 1. Open the .po file in POEdit. + 2. Hit the Synchronize to source button in the toolbar. + 3. Start translating. + 4. Remember to save. -Example for English: -en.po +NOTES: + * Setup your name and email in POEdit preferences if you haven't used it before + * Also setup the Performous XML parser as instructed below + * POEdit C/C++ parser might not recognize .hh extension by default, so add that: + Edit -> Preferences -> Parsers -> C/C++ -> Edit -> List of extensions -Configuring the performous XML parser +Configuring the Performous XML parser ------------------------------------- These steps enable translation of the XML locate bits. 1. Click Edit -> Preferences @@ -36,6 +36,30 @@ These steps enable translation of the XML locate bits. Where $SOURCE_ROOT is the path to the performous sources root. 4. Click Okay +Creating a new catalog +---------------------- +These are the steps to create a new catalog, but easiest +is probably just copy one of the existing ones and start +from there (in which case you can skip these steps.) + + 1. Start POEdit + 2. Click File -> New Catalog + 3. Enter a project name (performous) + 4. Click the Paths tab at the top + 5. Click the New Item icon (second one, looks like a little square) + 6. Enter the path to the directory containing your plug-in file ("." tells POEdit to scan the directory that you will save the file to, usually only need to include ../game and ../data), press enter + 7. Click the Keywords tab at the top + 8. Click the New Item icon + 9. Enter _ (that's underscore), press enter + 12. Click Okay + 13. Choose a name for your .po file (performous) + 14. Follow the instructions above to enable XML translation + +REMEMBER TO SAVE WITH YOU LOCALE NAME + +Example for English: +en.po + Acknowledgements --------------- +---------------- Thanks to guide at http://codex.wordpress.org/User:Skippy/Creating_POT_Files |
|
From: Lasse Kärkkäi. <tr...@us...> - 2010-09-28 09:50:42
|
Module: performous
Branch: menuvideo
Commit: 647e50208f75916fcc6c9260cbd3ff9a988be573
Author: Tapio Vierros <tap...@gm...>
Date: Thu Sep 16 15:12:22 2010 +0300
Tweak main menu.
---
game/screen_intro.cc | 8 ++++----
1 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/game/screen_intro.cc b/game/screen_intro.cc
index b327a75..d4f46ae 100644
--- a/game/screen_intro.cc
+++ b/game/screen_intro.cc
@@ -68,13 +68,13 @@ void ScreenIntro::draw_menu_options() {
double submenuanim = 1.0 - std::min(1.0, std::abs(m_submenuAnim.get()-m_menu.getSubmenuLevel()));
theme->back_h.dimensions.stretch(m_menu.dimensions.w(), theme->back_h.dimensions.h());
// Determine from which item to start
- int start_i = std::min((int)m_menu.curIndex(), (int)opts.size() - (int)showopts
+ int start_i = std::min((int)m_menu.curIndex() - 1, (int)opts.size() - (int)showopts
+ (m_menu.getSubmenuLevel() == 2 ? 1 : 0)); // Hack to counter side-effects from displaying the value inside the menu
if (start_i < 0 || opts.size() == showopts) start_i = 0;
for (size_t i = start_i, ii = 0; ii < showopts && i < opts.size(); ++i, ++ii) {
MenuOption const& opt = opts[i];
if (i == m_menu.curIndex()) { // Selection
- // Animate highlight moving
+ // Animate selection higlight moving
double selanim = m_selAnim.get() - start_i;
if (selanim < 0) selanim = 0;
theme->back_h.dimensions.left(x - sel_margin).center(start_y+0.003 + selanim*0.08);
@@ -86,8 +86,8 @@ void ScreenIntro::draw_menu_options() {
// If this is a config item, show the value below
if (opt.type == MenuOption::CHANGE_VALUE) {
++ii; // Use a slot for the value
- theme->option_selected.dimensions.left(x + sel_margin).center(-0.1 + ii*0.08);
- theme->option_selected.draw(opt.value->getValue(), submenuanim);
+ theme->option_selected.dimensions.left(x + sel_margin).center(-0.1 + (selanim+1)*0.08);
+ theme->option_selected.draw("< " + opt.value->getValue() + " >", submenuanim);
}
} else { // Regular option (not selected)
theme->option.dimensions.left(x).center(start_y + ii*0.08);
|
|
From: Tapio V. <aa...@us...> - 2010-09-27 15:35:08
|
Module: performous Branch: master Commit: 5823228f74f89984fec6c165ae82e539178b49cb Author: Tapio Vierros <tap...@gm...> Date: Mon Sep 27 18:34:08 2010 +0300 Improve FI translation and update "audio/devices" XML description. --- data/schema.xml | 2 +- lang/fi.po | 313 ++++++++++++++++++++++++++++--------------------------- 2 files changed, 159 insertions(+), 156 deletions(-) |
|
From: Tapio V. <aa...@us...> - 2010-09-27 14:53:58
|
Module: performous
Branch: master
Commit: f86db16a756ada97b8b6d6392d9e244ec34f7875
Author: Tapio Vierros <tap...@gm...>
Date: Mon Sep 27 17:52:45 2010 +0300
Guitar join menu key hints change to alt mapping (Z,X) when in lefty-mode.
---
game/guitargraph.cc | 1 -
game/guitargraph.hh | 1 -
game/instrumentgraph.cc | 5 +++--
game/instrumentgraph.hh | 1 +
4 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/game/guitargraph.cc b/game/guitargraph.cc
index cf76e00..fdbbcc2 100644
--- a/game/guitargraph.cc
+++ b/game/guitargraph.cc
@@ -71,7 +71,6 @@ GuitarGraph::GuitarGraph(Audio& audio, Song const& song, bool drums, int number,
m_neckglowColor(),
m_drums(drums),
m_use3d(config["graphic/3d_notes"].b()),
- m_leftymode(false),
m_practmode(practmode),
m_level(),
m_track_index(m_instrumentTracks.end()),
diff --git a/game/guitargraph.hh b/game/guitargraph.hh
index f5a79cd..a9c5e10 100644
--- a/game/guitargraph.hh
+++ b/game/guitargraph.hh
@@ -91,7 +91,6 @@ class GuitarGraph: public InstrumentGraph {
// Flags
bool m_drums; /// are we using drums?
bool m_use3d; /// are we using 3d?
- ConfigItem m_leftymode; /// switch guitar notes to right-to-left direction
bool m_practmode; /// switch to enable practice mode
// Track stuff
diff --git a/game/instrumentgraph.cc b/game/instrumentgraph.cc
index e17c014..607843a 100644
--- a/game/instrumentgraph.cc
+++ b/game/instrumentgraph.cc
@@ -16,6 +16,7 @@ InstrumentGraph::InstrumentGraph(Audio& audio, Song const& song, input::DevType
m_selectedTrack(""),
m_selectedDifficulty(0),
m_rejoin(false),
+ m_leftymode(false),
m_pads(),
m_correctness(0.0, 5.0),
m_score(),
@@ -96,9 +97,9 @@ void InstrumentGraph::drawMenu() {
if (getGraphType() != input::DANCEPAD) {
if (m_input.isKeyboard()) { // Key letters for keyboard
txt->dimensions.middle(x - button_margin - m_button.dimensions.w()*0.5f).center(y);
- txt->draw(getGraphType() == input::GUITAR ? "1" : "U");
+ txt->draw(getGraphType() == input::GUITAR ? (m_leftymode.b() ? "Z" : "1") : "U");
txt->dimensions.middle(xx + button_margin - m_button.dimensions.w()*0.5f).center(y);
- txt->draw(getGraphType() == input::GUITAR ? "2" : "P");
+ txt->draw(getGraphType() == input::GUITAR ? (m_leftymode.b() ? "X" : "2") : "P");
} else { // Colored icons for real instruments
{
glutil::Color c(color(getGraphType() == input::GUITAR ? 0 : 1));
diff --git a/game/instrumentgraph.hh b/game/instrumentgraph.hh
index 948c707..72661ab 100644
--- a/game/instrumentgraph.hh
+++ b/game/instrumentgraph.hh
@@ -135,6 +135,7 @@ class InstrumentGraph {
ConfigItem m_selectedTrack; /// menu modifies this to select track
ConfigItem m_selectedDifficulty; /// menu modifies this to select difficulty
ConfigItem m_rejoin; /// menu sets this if we want to re-join
+ ConfigItem m_leftymode; /// switch guitar notes to right-to-left direction
std::string m_trackOpt;
std::string m_difficultyOpt;
std::string m_leftyOpt;
|
|
From: Tapio V. <aa...@us...> - 2010-09-27 14:53:53
|
Module: performous
Branch: master
Commit: 93400bba989aa5998e34f089c6145c761cb6fac0
Author: Tapio Vierros <tap...@gm...>
Date: Mon Sep 27 17:47:29 2010 +0300
Add alternative fret mapping for keyboard lefty-mode.
---
game/joystick.cc | 24 ++++++++++++------------
1 files changed, 12 insertions(+), 12 deletions(-)
diff --git a/game/joystick.cc b/game/joystick.cc
index d93df3e..59791a4 100644
--- a/game/joystick.cc
+++ b/game/joystick.cc
@@ -480,17 +480,17 @@ bool input::SDL::pushEvent(SDL_Event _e) {
button = input::WHAMMY_BUTTON;
is_guitar_event = true;
break;
- case SDLK_F6: case SDLK_6:
+ case SDLK_F6: case SDLK_6: case SDLK_n:
button++;
- case SDLK_F5: case SDLK_5:
+ case SDLK_F5: case SDLK_5: case SDLK_b:
button++;
- case SDLK_F4: case SDLK_4:
+ case SDLK_F4: case SDLK_4: case SDLK_v:
button++;
- case SDLK_F3: case SDLK_3:
+ case SDLK_F3: case SDLK_3: case SDLK_c:
button++;
- case SDLK_F2: case SDLK_2:
+ case SDLK_F2: case SDLK_2: case SDLK_x:
button++;
- case SDLK_F1: case SDLK_1:
+ case SDLK_F1: case SDLK_1: case SDLK_z: case SDLK_w: case SDLK_y:
if(!guitar) return false;
is_guitar_event = true;
event.type = input::Event::PRESS;
@@ -620,17 +620,17 @@ bool input::SDL::pushEvent(SDL_Event _e) {
button = WHAMMY_BUTTON;
is_guitar_event = true;
break;
- case SDLK_F6: case SDLK_6:
+ case SDLK_F6: case SDLK_6: case SDLK_n:
button++;
- case SDLK_F5: case SDLK_5:
+ case SDLK_F5: case SDLK_5: case SDLK_b:
button++;
- case SDLK_F4: case SDLK_4:
+ case SDLK_F4: case SDLK_4: case SDLK_v:
button++;
- case SDLK_F3: case SDLK_3:
+ case SDLK_F3: case SDLK_3: case SDLK_c:
button++;
- case SDLK_F2: case SDLK_2:
+ case SDLK_F2: case SDLK_2: case SDLK_x:
button++;
- case SDLK_F1: case SDLK_1:
+ case SDLK_F1: case SDLK_1: case SDLK_z: case SDLK_w: case SDLK_y:
if(!guitar) return false;
is_guitar_event = true;
event.type = input::Event::RELEASE;
|
|
From: Tapio V. <aa...@us...> - 2010-09-27 14:53:50
|
Module: performous
Branch: master
Commit: 2021565e08cc63cc3e0c7ce50e2d672dd3e51d09
Author: Tapio Vierros <tap...@gm...>
Date: Mon Sep 27 17:36:12 2010 +0300
Revert "Disabled lefty-mode with keyboard guitar."
This reverts commit d00e2e3e0c5ab071f00e9b33220490d0876bda6a.
---
game/guitargraph.cc | 4 +---
1 files changed, 1 insertions(+), 3 deletions(-)
diff --git a/game/guitargraph.cc b/game/guitargraph.cc
index 99d9390..cf76e00 100644
--- a/game/guitargraph.cc
+++ b/game/guitargraph.cc
@@ -170,9 +170,7 @@ void GuitarGraph::setupJoinMenu() {
m_menu.add(MenuOption("", _("Select difficulty"), &m_selectedDifficulty)); // MenuOption that cycles the options
m_menu.back().setDynamicName(m_difficultyOpt); // Set the title to be dynamic
}
- // Lefty-mode is not available with keyboard guitar
- if (m_drums || !m_input.isKeyboard())
- m_menu.add(MenuOption(_("Lefty-mode"), "", &m_leftymode));
+ m_menu.add(MenuOption(_("Lefty-mode"), "", &m_leftymode));
m_menu.back().setDynamicComment(m_leftyOpt);
m_menu.add(MenuOption(_("Quit"), _("Exit to song browser"), "Songs"));
}
|
|
From: Tapio V. <aa...@us...> - 2010-09-27 14:16:41
|
Module: performous
Branch: master
Commit: d00e2e3e0c5ab071f00e9b33220490d0876bda6a
Author: Tapio Vierros <tap...@gm...>
Date: Mon Sep 27 17:15:34 2010 +0300
Disabled lefty-mode with keyboard guitar.
---
game/guitargraph.cc | 4 +++-
1 files changed, 3 insertions(+), 1 deletions(-)
diff --git a/game/guitargraph.cc b/game/guitargraph.cc
index cf76e00..99d9390 100644
--- a/game/guitargraph.cc
+++ b/game/guitargraph.cc
@@ -170,7 +170,9 @@ void GuitarGraph::setupJoinMenu() {
m_menu.add(MenuOption("", _("Select difficulty"), &m_selectedDifficulty)); // MenuOption that cycles the options
m_menu.back().setDynamicName(m_difficultyOpt); // Set the title to be dynamic
}
- m_menu.add(MenuOption(_("Lefty-mode"), "", &m_leftymode));
+ // Lefty-mode is not available with keyboard guitar
+ if (m_drums || !m_input.isKeyboard())
+ m_menu.add(MenuOption(_("Lefty-mode"), "", &m_leftymode));
m_menu.back().setDynamicComment(m_leftyOpt);
m_menu.add(MenuOption(_("Quit"), _("Exit to song browser"), "Songs"));
}
|
|
From: Tapio V. <aa...@us...> - 2010-09-27 14:16:38
|
Module: performous
Branch: master
Commit: f23280dd2addd290f2d3cb3c88a8979629ca50e7
Author: Tapio Vierros <tap...@gm...>
Date: Mon Sep 27 17:11:57 2010 +0300
Reverse lefty mode strum direction in menu.
---
game/guitargraph.cc | 10 +++++++++-
1 files changed, 9 insertions(+), 1 deletions(-)
diff --git a/game/guitargraph.cc b/game/guitargraph.cc
index d62329b..cf76e00 100644
--- a/game/guitargraph.cc
+++ b/game/guitargraph.cc
@@ -298,6 +298,8 @@ void GuitarGraph::engine() {
}
// Menu keys
if (menuOpen()) {
+ // Pick lefty-mode reversing
+ if (ev.type == input::Event::PICK && m_leftymode.b()) ev.button = (ev.button ? 0 : 1);
// Check first regular keys
if (ev.type == input::Event::PRESS && ev.button >= 0 && ev.button < m_pads) {
if (m_drums) { // Drums
@@ -330,18 +332,20 @@ void GuitarGraph::engine() {
m_menu.open();
break;
+ // Handle Start/Select keypresses
} else if (!m_input.isKeyboard()) {
- // Handle Start/Select keypresses
if (ev.nav == input::CANCEL) ev.button = input::GODMODE_BUTTON; // Select = GodMode
if (ev.nav == input::START) { m_menu.open(); continue; }
}
// Guitar specific actions
if (!m_drums) {
+ // GodMode
if ((ev.type == input::Event::PRESS || ev.type == input::Event::RELEASE) && ev.button == input::GODMODE_BUTTON) {
if (ev.type == input::Event::PRESS) activateStarpower();
continue;
}
+ // Whammy bar
if (ev.button == input::WHAMMY_BUTTON) {
switch(ev.type) {
case input::Event::RELEASE:
@@ -354,11 +358,15 @@ void GuitarGraph::engine() {
break;
}
}
+ // End hold
if (ev.type == input::Event::RELEASE) endHold(ev.button, time);
+
+ // Drum specific actions
} else {
// Handle drum lefty-mode
if (m_leftymode.b() && ev.button > 0 && !menuOpen()) ev.button = m_pads - ev.button;
}
+
// Keypress anims
if (ev.type == input::Event::PRESS) m_pressed_anim[!m_drums + ev.button].setValue(1.0);
else if (ev.type == input::Event::PICK) m_pressed_anim[0].setValue(1.0);
|
|
From: Fredrik K. <sci...@us...> - 2010-09-27 13:18:54
|
Module: performous Branch: master Commit: 215f10c7bf0cb8b96c71a3d4d57462ca941c2078 Author: Fredrik Klasson <sci...@gm...> Date: Mon Sep 27 15:18:25 2010 +0200 [ ] updating comment to reflect commiting to tree --- lang/TRANSLATORS | 2 +- 1 files changed, 1 insertions(+), 1 deletions(-) diff --git a/lang/TRANSLATORS b/lang/TRANSLATORS index 8ab2230..fb52372 100644 --- a/lang/TRANSLATORS +++ b/lang/TRANSLATORS @@ -22,7 +22,7 @@ fr:STATUS active fr:CONTACT [[User:Yoda|yoda]] (French native speaker) -ja:COMMENT Translations not yet commited to the tree. +ja:COMMENT Translations translations not ready for release. ja:STATUS not yet ready #ja:TRANSLATOR [[User:Scientica|scientica]] (not native speaker) ja:CONTACT [[User:Scientica|scientica]] (not native speaker) |
|
From: Fredrik K. <sci...@us...> - 2010-09-27 13:05:46
|
Module: performous Branch: master Commit: b1e3694784048423d61e6cdad5e750b236e7bf73 Author: Fredrik Klasson <sci...@gm...> Date: Mon Sep 27 15:05:28 2010 +0200 [+] Adding jap translations, these are *NOT* ready for shipping with a release. (manually exclude from official releases for now; adding to have a backup in the tree) --- lang/ja.po | 770 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 1 files changed, 770 insertions(+), 0 deletions(-) |
|
From: Fredrik K. <sci...@us...> - 2010-09-27 13:01:19
|
Module: performous
Branch: master
Commit: 0d98883ab8fd426691c2386d49878047f3873b55
Author: Fredrik Klasson <sci...@gm...>
Date: Mon Sep 27 15:00:59 2010 +0200
[+] Translation wiki helper and it's companion lang/TRANSLATORS file.
---
lang/TRANSLATORS | 32 +++++
tools/scripts/translation_wiki_helper.sh | 186 ++++++++++++++++++++++++++++++
2 files changed, 218 insertions(+), 0 deletions(-)
diff --git a/lang/TRANSLATORS b/lang/TRANSLATORS
new file mode 100644
index 0000000..8ab2230
--- /dev/null
+++ b/lang/TRANSLATORS
@@ -0,0 +1,32 @@
+# -*- coding: utf-8 -*-
+#
+# Lines like this one (starting with a # are comments)
+# The rest of the lines have the following format:
+# "$1:$2 Single line of text"
+#
+# Where $1 is the ISO-369-1 two letter language code
+# (the same as for the PO file name)
+#
+# The $2 is one of:
+# COMMENT - The comment that shows up on the wiki
+# translation overview page
+# CONTACT - The contact for the translation
+# STATUS - The status of the translation, keep this short.
+# ideally one of: active, inactive, not yet ready
+#
+# TRANSLATOR and LEAD is not yet known by translation_wiki_helper.sh.
+#
+# Also, presently only one CONTACT field per language is allowed
+# for now. (This limitation is indented to be fixed later)
+
+fr:STATUS active
+fr:CONTACT [[User:Yoda|yoda]] (French native speaker)
+
+ja:COMMENT Translations not yet commited to the tree.
+ja:STATUS not yet ready
+#ja:TRANSLATOR [[User:Scientica|scientica]] (not native speaker)
+ja:CONTACT [[User:Scientica|scientica]] (not native speaker)
+
+sv:STATUS active
+#sv:LEAD [[User:Scientica|scientica]] (Swedish native speaker)
+sv:CONTACT [[User:Scientica|scientica]] (Swedish native speaker)
diff --git a/tools/scripts/translation_wiki_helper.sh b/tools/scripts/translation_wiki_helper.sh
new file mode 100755
index 0000000..6a50324
--- /dev/null
+++ b/tools/scripts/translation_wiki_helper.sh
@@ -0,0 +1,186 @@
+#!/bin/bash
+#
+# TODO: error handling, security, the usual suspects.
+
+# Keep these in the global scope
+TOT=
+UNT=
+FUZ=
+TPC=
+
+if [[ "$(basename $PWD)" != "performous" ]] || [[ ! -d ".git" ]] ; then
+ echo "Error: Not in the performous root dir!"
+ echo "This script must be run from the perfourmous source folder"
+ exit
+fi
+
+# Colorize
+# 100 => green background + bold face
+# >=95 => green background
+# >=75 => orangeish background
+# >=50 => orageish background
+# >=25 => red background
+# <25 => red background
+colorize(){
+ echo -n 'style="background-color: '
+ if [[ $1 -eq 100 ]] ; then
+ echo -n "#00FF00; font-weight: bold"
+ elif [[ $1 -ge 95 ]] ; then
+ echo -n "#00FF00"
+ elif [[ $1 -ge 75 ]] ; then
+ echo -n "#CCEE00"
+ elif [[ $1 -ge 50 ]] ; then
+ echo -n "#CC9900"
+ elif [[ $1 -ge 25 ]] ; then
+ echo -n "#CC0000"
+ else
+ echo -n "#990000"
+ fi
+ echo -n ';" |'
+}
+
+# This assumes the file /usr/share/xml/iso-codes/iso_639.xml exists
+# and has a very strict format (not only valid XML!)
+get_full_language_name(){
+ if [[ ! -f /usr/share/xml/iso-codes/iso_639.xml ]] ; then
+ echo "<!> Missing /usr/share/xml/iso-codes/iso_639.xml"
+ echo "FATAL ERROR: Missing ISO-639-1 mappings."
+ exit -1
+ fi
+
+ # only pick the first name if many (see XML for examples on eg "nl")
+ grep -A1 "iso_639_1_code=\"$1\"" /usr/share/xml/iso-codes/iso_639.xml | grep name | sed -re 's:[ \t]*name="([^;\"]+).*:\1:'
+}
+
+# get_translator_field: ISO-369-1 Lang à STRING -> STRING
+get_translator_fields(){
+ DB="lang/TRANSLATORS"
+ if [[ -f "$DB" ]] ; then
+ grep "$1:$2 " "$DB" | sed "s%$1:$2 %%"
+ return $?
+ fi
+ echo ""
+ return -1
+}
+
+get_translator_comment(){
+ get_translator_fields "$1" "COMMENT"
+ return $?
+}
+
+last_commit_date(){
+ # ci vs ai? author vs commit date? I'm guessing ci is what we want,
+ # when the commit was made, not when the autor made the edit.
+ # (thus the assumption is: %ci more recent or exactly equal to %ai)
+ git log --date-order -n1 --pretty=format:%ci --no-color --date=iso
+}
+last_commit_id(){
+ # %H = full commit hash
+ # %h = short commit hash
+ git log --date-order -n1 --pretty=format:%h --no-color --date=iso
+}
+last_commit_gitweb_uri(){
+ # SF_GIT_WEB_URI
+ SF_GIT_WEB_URI_BASE="http://performous.git.sourceforge.net/git/gitweb.cgi?p=performous/performous;a=commit"
+ SF_GIT_WEB_URI="${SF_GIT_WEB_URI_BASE};h=$(git log --date-order -n1 --pretty=format:%H --no-color --date=iso)"
+ echo "$SF_GIT_WEB_URI"
+}
+
+current_gitweb_uri(){
+ SF_GIT_WEB_URI_BASE="http://performous.git.sourceforge.net/git/gitweb.cgi?p=performous/performous;a=blob;hb=HEAD"
+ SF_GIT_WEB_URI="${SF_GIT_WEB_URI_BASE};f=$1"
+ echo "$SF_GIT_WEB_URI"
+}
+
+# update_vars : ISO-369-1 LANG -> Ã
+update_vars(){
+ OUT="$( LC_ALL=C msgfmt --statistics "lang/$1.po" 2>&1 )"
+
+ # Extract translated, fuzzy and untranslated counts
+ # Note: msgfmt has bad habits:
+ # * stats are apparently errors, as they're sent to stderr
+ # * it says "1 fuzzy translation" andt "2 fuzzy translations", thus
+ # the "...s?..." to catch that case, I'm assuming this holds for
+ # all three components.
+ #sed -re "s%^([0-9]+) translated messages?(, ([0-9]+) fuzzy translations?)?(, ([0-9]+) untranslated messages?)?\.%LANG=$1;T=\1;F=\3;U=\5%"
+ TOT=$(echo "$OUT" | sed -re "s%^([0-9]+) translated messages?(, ([0-9]+) fuzzy translations?)?(, ([0-9]+) untranslated messages?)?\.%\1%")
+ FUZ=$(echo "$OUT" | sed -re "s%^([0-9]+) translated messages?(, ([0-9]+) fuzzy translations?)?(, ([0-9]+) untranslated messages?)?\.%\3%")
+ UNT=$(echo "$OUT" | sed -re "s%^([0-9]+) translated messages?(, ([0-9]+) fuzzy translations?)?(, ([0-9]+) untranslated messages?)?\.%\5%")
+
+ # compute the % of translated strings
+ TPC="N/A"
+ if [[ -z "$TOT" ]] || [[ "$TOT" == "0" ]] &&
+ [[ -z "$FUZ" ]] || [[ "$FUZ" == "0" ]] &&
+ [[ -z "$UNT" ]] || [[ "$UNT" == "0" ]] ; then
+ TPC="0"
+ else
+ [[ -z "$TOT" ]] && TOT=0
+ [[ -z "$FUZ" ]] && FUZ=0
+ [[ -z "$UNT" ]] && UNT=0
+ TPC="$(echo "100 * $TOT / (( $TOT + $UNT + $FUZ ))" | bc)"
+ fi
+}
+
+# internal use by generate_overview
+overview_wikify(){
+ YYYY_MM_DD="$(LC_ALL=C date +%F)"
+ I_LANG="$(echo "$1" | sed -re 's:lang/([a-z]+)\.po:\1:')"
+ LONG_LANG="$(get_full_language_name "$I_LANG")"
+ update_vars "$I_LANG"
+
+ # find overview translation comments (if any)
+ COMMENT="$(get_translator_comment $I_LANG)"
+ PC_COLOR=$(colorize $TPC)
+
+ echo "|-"
+ echo "| [[Translations ($LONG_LANG)|$I_LANG]] || $YYYY_MM_DD || ${PC_COLOR} ${TPC} % || $TOT || $FUZ || ${UNT} || '''$(( $TOT + $UNT + $FUZ ))''' || [$(current_gitweb_uri "$1") $1] || ${COMMENT}"
+}
+
+generate_overview(){
+ cat <<EOH
+{| border="1" cellspacing="0" cellpadding="5"
+| rowspan="2" | '''Language''' || rowspan="2" | '''Last update''' || colspan="5" align="center" | '''Progress''' || rowspan="2" | '''Current version''' || rowspan="2" | '''Comment'''
+|-
+| '''%''' || '''Translated''' || '''Fuzzy''' || '''Untranslated''' || '''Total'''
+EOH
+ for a in $(ls -1 lang/*po) ; do
+ overview_wikify "$a"
+ done
+ echo "|}"
+
+ echo "Table last updated: $(date --rfc-3339=seconds) (based on git commit <tt>[$(last_commit_gitweb_uri) $(last_commit_id)]</tt> @ $(last_commit_date))"
+}
+
+generate_infoboxes(){
+ YYYY_MM_DD="$(LC_ALL=C date +%F)"
+
+ OUT="$( LC_ALL=C msgfmt --statistics "$1" 2>&1 )"
+ I_LANG="$(echo "$1" | sed -re 's:lang/([a-z]+)\.po:\1:')"
+ LONG_LANG="$(get_full_language_name "$I_LANG")"
+ update_vars "$I_LANG"
+
+ STATUS="$(get_translator_fields "$I_LANG" "STATUS")"
+ CONTACT="$(get_translator_fields "$I_LANG" "CONTACT")"
+
+ echo "{{Translation:TranslationInfo|Status=$STATUS|LANG=$I_LANG|PERCENT=$TPC|STRINGS=$TOT / $(( $TOT + $FUZ + $UNT ))|FUZZY=$FUZ|NOTRANS=$UNT|Updated=$YYYY_MM_DD|Contact=$CONTACT}}"
+}
+
+if [[ "$1" == "--overview" ]] ; then
+ generate_overview
+elif [[ "$1" == "--infoboxes" ]] ; then
+ if [[ -z "$2" ]] ; then
+ for a in $(ls -1 lang/*po) ; do
+ generate_infoboxes "$a"
+ done
+ else
+ # FIXME: make sure $2 is sane.
+ generate_infoboxes "$2"
+ fi
+else
+ echo "USAGE: $0 <--overview|--infoboxes [lang]>"
+ echo
+ echo " --overview Generates the language overview table."
+ echo " --inforboxes [lang] The two letter ISO-369-1 langauge code used in the PO"
+ echo " filename. If none is given infoboxes for all languages"
+ echo " found is generated."
+fi
|
|
From: Fredrik K. <sci...@us...> - 2010-09-26 21:41:50
|
Module: performous Branch: master Commit: 1eef0c4a3b9e64a5908939705425812c6038a2a6 Author: Fredrik Klasson <sci...@gm...> Date: Sun Sep 26 23:41:34 2010 +0200 [ ] Swedish translation "self-proofreading" round 1. Translations still at 98% --- lang/sv.po | 257 ++++++++++++++++++++++++++++++------------------------------ 1 files changed, 128 insertions(+), 129 deletions(-) |
|
From: Yoda-JM <yo...@us...> - 2010-09-24 20:09:16
|
Module: performous Branch: master Commit: 536fea845586a58f5185f1b73b2ffdaf170cf10e Author: Vincent Le Ligeour <yo...@us...> Date: Fri Sep 24 21:58:56 2010 +0200 Renamed ColorRIIA class --- game/dancegraph.cc | 12 ++++++------ game/glutil.hh | 30 ++++++------------------------ game/guitargraph.cc | 38 +++++++++++++++++++------------------- game/instrumentgraph.cc | 8 ++++---- game/instrumentgraph.hh | 2 +- game/layout_singer.cc | 4 ++-- game/notegraph.cc | 8 ++++---- game/opengl_text.cc | 2 +- game/screen_audiodevices.cc | 2 +- game/screen_players.cc | 2 +- game/screen_sing.cc | 6 +++--- game/screen_songs.cc | 12 ++++++------ game/screenmanager.cc | 2 +- game/video.cc | 2 +- 14 files changed, 56 insertions(+), 74 deletions(-) |
|
From: Yoda-JM <yo...@us...> - 2010-09-24 20:09:12
|
Module: performous Branch: master Commit: eb9cea7f8d7fa84d1f1369aa0c98531a242a96e8 Author: Vincent Le Ligeour <yo...@us...> Date: Fri Sep 24 21:52:48 2010 +0200 Used OpenGL color RIIA --- game/dancegraph.cc | 38 ++++++---- game/database.hh | 4 +- game/glutil.hh | 16 ++--- game/guitargraph.cc | 164 +++++++++++++++++++++++++----------------- game/guitargraph.hh | 6 +- game/instrumentgraph.cc | 36 +++++---- game/instrumentgraph.hh | 8 +- game/layout_singer.cc | 15 +++-- game/notegraph.cc | 15 ++-- game/opengl_text.cc | 11 ++- game/screen_audiodevices.cc | 13 ++-- game/screen_audiodevices.hh | 2 +- game/screen_players.cc | 8 ++- game/screen_sing.cc | 18 ++--- game/screen_songs.cc | 18 +++--- game/screenmanager.cc | 3 +- game/video.cc | 13 +++- 17 files changed, 220 insertions(+), 168 deletions(-) |
|
From: Yoda-JM <yo...@us...> - 2010-09-24 20:09:10
|
Module: performous Branch: master Commit: 3af5e403c4b62b0195a7a00ed901715f2aa0e679 Author: Vincent Le Ligeour <yo...@us...> Date: Fri Sep 24 20:34:22 2010 +0200 Prepared for RAII OpenGL Color --- game/dancegraph.cc | 16 ++++++++-------- game/glutil.hh | 31 +++++++++++++++++++++++++++++++ game/guitargraph.cc | 42 +++++++++++++++++++++--------------------- game/instrumentgraph.cc | 8 ++++---- game/instrumentgraph.hh | 2 +- game/layout_singer.cc | 6 +++--- game/notegraph.cc | 14 +++++++------- game/opengl_text.cc | 6 +++--- game/screen_audiodevices.cc | 4 ++-- game/screen_players.cc | 4 ++-- game/screen_sing.cc | 11 +++++------ game/screen_songs.cc | 16 ++++++++-------- game/screenmanager.cc | 4 ++-- game/video.cc | 4 ++-- 14 files changed, 99 insertions(+), 69 deletions(-) |
|
From: Fredrik K. <sci...@us...> - 2010-09-22 17:00:57
|
Module: performous Branch: master Commit: aad1ea97b878ac80178e94366abb6510b8e73fb5 Author: Fredrik Klasson <sci...@gm...> Date: Wed Sep 22 18:59:45 2010 +0200 [ ] On closer examination, suffixing isn't required as -L/--language bypasses the filename based language guessing of xgettext. --- tools/scripts/xml_gettext.sh | 7 ++++--- 1 files changed, 4 insertions(+), 3 deletions(-) diff --git a/tools/scripts/xml_gettext.sh b/tools/scripts/xml_gettext.sh index dc8b678..d9176ed 100755 --- a/tools/scripts/xml_gettext.sh +++ b/tools/scripts/xml_gettext.sh @@ -98,8 +98,9 @@ shift shift # create the temporary file securely. -TEMP_SRC=$(mktemp --tmpdir xml2gettext.XXXXXXXXXX).c -append_temp_src "/* This is a automatically generated temp file, it's safe to remove*/" +TEMP_SRC="$(mktemp --tmpdir xml2gettext.XXXXXXXXXX)" + +append_temp_src "/* This is a automatically generated temp file, it's safe to remove */" # Start the dirty work for file in $* ; do @@ -107,7 +108,7 @@ for file in $* ; do done # Invoke xgettext, poedit will merge this with the rest of the strings -xgettext --force-po -L C -o "$POEDIT_FILE" --from-code="$ENC" -k_ "$TEMP_SRC" +xgettext --force-po --language=C -o "$POEDIT_FILE" --from-code="$ENC" -k_ "$TEMP_SRC" RV=$? # clean up |
|
From: Fredrik K. <sci...@us...> - 2010-09-22 17:00:54
|
Module: performous Branch: master Commit: 7b4af9deb4c51d74fd8c9c8e52fb38277ea34876 Author: Fredrik Klasson <sci...@gm...> Date: Wed Sep 22 18:56:44 2010 +0200 [ ] Small typo in translation. --- lang/sv.po | 432 ++++++++++++++++++++++++++++------------------------------- 1 files changed, 205 insertions(+), 227 deletions(-) |
|
From: Lasse Kärkkäi. <tr...@us...> - 2010-09-22 02:04:35
|
Module: performous Branch: ssxml Commit: e3becba2ed1ed0af01d2ecedc4c7d99128195c2d Author: Lasse Karkkainen <tro...@tr...> Date: Wed Sep 22 05:03:26 2010 +0300 Merge branch 'master' into ssxml --- |
|
From: Lasse Kärkkäi. <tr...@us...> - 2010-09-22 02:04:33
|
Module: performous Branch: ssxml Commit: daf359cec1d9fa778666cf221e8d048f5204f0e4 Author: Lasse Karkkainen <tro...@tr...> Date: Wed Sep 22 05:03:04 2010 +0300 Remove unused outdated files --- game/unused/fftgraph.hh | 46 ------------ game/unused/folderview.cpp | 138 ----------------------------------- game/unused/hiscore.cc | 171 -------------------------------------------- game/unused/hiscore.hh | 102 -------------------------- tools/faac.hh | 82 --------------------- 5 files changed, 0 insertions(+), 539 deletions(-) |
|
From: Lasse Kärkkäi. <tr...@us...> - 2010-09-22 02:04:30
|
Module: performous
Branch: ssxml
Commit: 520741fd6f17b2aa477e9ef971ee502223556fe9
Author: Lasse Karkkainen <tro...@tr...>
Date: Sun Sep 19 17:47:12 2010 +0300
Fix mixup with music/vocals filenames.
---
tools/ss_extract.cpp | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/tools/ss_extract.cpp b/tools/ss_extract.cpp
index 6fb5ae7..dd5162b 100644
--- a/tools/ss_extract.cpp
+++ b/tools/ss_extract.cpp
@@ -188,7 +188,7 @@ struct Process {
std::cerr << cmd << std::endl;
if (std::system(cmd.c_str()) == 0) { // FIXME: std::system return value is not portable
fs::remove(song.vocals);
- song.music = path / ("vocals.ogg");
+ song.vocals = path / ("vocals.ogg");
}
}
}
|